View Issue Details

IDProjectCategoryView StatusLast Update
0007061Anastasisreducer specpublic2022-04-13 08:48
ReporterFlorian Dold Assigned ToFlorian Dold  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Summary0007061: all sum types should have a type/tag field to identify the arm
DescriptionRight now, the schema of the reducer makes mechanical validation rather hard, as there is no type/tag field for many sum types.

Examples:
* the reducer top-level (error vs backup vs recovery)
* the authentication_provider (no info vs error vs okay)
TagsNo tags attached.

Relationships

related to 0007222 resolvedChristian Grothoff authentication_providers should be properly tagged with status 

Activities

Florian Dold

2022-04-12 22:24

manager   ~0018861

Last edited: 2022-04-12 22:29

See 0007222 for authentication_providers.

For the top-level state, I'd suggest:

{
  reducer_type: "backup" | "recovery" | "error";
  // only for backup reducers
  backup_state: "...";

  // for recovery reducers
  recovery_state: "...";
}

Florian Dold

2022-04-13 08:48

manager   ~0018867

Fixed in the C reducer by Christian and in TypeScript by me.

Issue History

Date Modified Username Field Change
2021-11-02 10:53 Florian Dold New Issue
2022-04-12 22:21 Christian Grothoff Relationship added related to 0007222
2022-04-12 22:24 Florian Dold Note Added: 0018861
2022-04-12 22:29 Florian Dold Note Edited: 0018861
2022-04-12 22:46 Florian Dold Assigned To => Florian Dold
2022-04-12 22:46 Florian Dold Status new => assigned
2022-04-13 08:48 Florian Dold Status assigned => resolved
2022-04-13 08:48 Florian Dold Resolution open => fixed
2022-04-13 08:48 Florian Dold Note Added: 0018867